//---------------------------------------------------------------------------

#ifndef ContactsH
#define ContactsH
//---------------------------------------------------------------------------

#include "common/Observable.h"
#include <string>
#include <vector>
#include <System.hpp>

class Contacts: public Observable
{
public:
	struct Entry
	{
		AnsiString description;
		AnsiString uri;

		bool operator==(const Entry& right) const {
			return (description == right.description &&
				uri == right.uri);
		}

		bool operator<(const Entry &other) const
		{
		   return description.UpperCase() < other.description.UpperCase();
		}
	};

private:
	std::vector<Entry> entries;
	AnsiString filename;
public:
	std::vector<Entry>& GetEntries(void)
	{
		return entries;
	}
	void SetFilename(AnsiString name)
	{
		filename = name;
	}
	int Read(void);
	int Write(void);
	void Update(void)
	{
		notifyObservers();
	}
	void Sort(void);
	AnsiString GetDescription(AnsiString uri) const;
};

/** \brief Class of object passed to registered observers
*/
class ContactsNotifyArgument: public Argument
{
public:
	int dummy;
	//Contacts::Entry &entry;
};

#endif
